unit MeinKomponentUnit;

interface

uses
  Classes;

type
  TMeinKomponent = class(TComponent)
  strict private
    FMeinProperty: Integer;
  strict protected
    function GetMeinProperty: Integer;
    procedure SetMeinProperty(const Value: Integer);
  published
    property MeinProperty: Integer read GetMeinProperty write SetMeinProperty;
  end;

procedure Register;



implementation

procedure Register;
begin
  RegisterComponents('Delphi-Tag', [TMeinKomponent]);
end;

function TMeinKomponent.GetMeinProperty: Integer;
begin
  Result := FMeinProperty;
end;

procedure TMeinKomponent.SetMeinProperty(const Value: Integer);
begin
  FMeinProperty := Value;
end;

end.
